Rated 5 out of 5 stars

I edited the max. version entry of the install.rdf file inside the .xpi to read <em:maxVersion>5.0.*</em:maxVersion> and it works just fine with Firefox 5 on Linux